12-16-12 02:57 AM
43 12
tools
  1. hytran's Avatar
    I've just installed a new OS on my phone and got the same error for Google Maps.. However, I have Google Maps on my 9700 running OS6 and it is working fine.. Strange..
    No, not strange. The error crops up the first time Google Maps is run, ie, when you have to agree to the Terms & Conditions. You've presumably done that long ago on your 9700, no?
    12-13-12 11:53 AM
  2. lycafe's Avatar
    No, not strange. The error crops up the first time Google Maps is run, ie, when you have to agree to the Terms & Conditions. You've presumably done that long ago on your 9700, no?
    Oh... So the error occurred only for a newly installed of Google apps, in this case Google Maps?
    12-13-12 12:11 PM
  3. hytran's Avatar
    Oh... So the error occurred only for a newly installed of Google apps, in this case Google Maps?
    Yes, or when running GM the first time after an OS upgrade.

    Your 9700 is "grandfathered" in, so to speak.

    Just wondering - was "Google apps" a typo, or is this happening with other Google apps?
    12-13-12 12:23 PM
  4. bmercer94's Avatar
    Google Sync, GMail app, and Google Voice still work, however Google Maps has blocked new activations from BB devices, which is unfortunate and i believe this is their attempt to isolate BB10 as something that can't have GMaps.
    12-13-12 12:44 PM
  5. hytran's Avatar
    Google Sync, GMail app, and Google Voice still work, however Google Maps has blocked new activations from BB devices, which is unfortunate and i believe this is their attempt to isolate BB10 as something that can't have GMaps.
    I would believe that. Sigh...
    12-13-12 12:56 PM
  6. svelt's Avatar
    WOW. I wish I saw this page prior to installing a new hybrid OS on my 9700. I feel like I just threw my phone into the garbage, Google Maps might be my most used app. Is there NO workaround or solution to this?
    12-13-12 01:09 PM
  7. dataphry's Avatar
    Just want to confirm i have tried all the so called workarounds, and you will still get the same error , Question for the bb veterans , assuming that most if not all the people managing mobile os growth are demons , will gmail also stop working for bb ? I mean does anyone foresee the push email for gmail and outlook to be also deactivated with time ? any thoughts ?
    12-13-12 08:47 PM
  8. sacrdandprofne's Avatar
    Again, this did and still is working perfectly for me. Give it a try!



    Sent from my BlackBerry 9790
    12-14-12 12:52 AM
  9. imaplayer_y2k's Avatar
    That install still doesnt work for me... Just need to agree the terms some how i would think.. Im assuming this as its working for some and not others...
    Last edited by imaplayer_y2k; 12-14-12 at 03:33 AM.
    12-14-12 02:31 AM
  10. dataphry's Avatar
    Again, this did and still is working perfectly for me. Give it a try!



    Sent from my BlackBerry 9790
    Again -> Tested just now , with application restart and even setting all the device permission defaults to allow , DOES NOT WORK !!! stops at TC screen and exits with serious error , But thanks for providing the link
    12-14-12 04:30 AM
  11. Darin Koff's Avatar
    Ok I am in the same boat as all of you with my 9900. I have been trying fro weeks to get Google maps and have given up. Can someone please suggest a free alternative that they like? I can't find anything...
    12-14-12 08:02 AM
  12. jgb@etree's Avatar
    Anyone have a clue what is changed on the device when you accept the T's & C's to allow future runs to bypass it? I just upgraded my 9930 to the newest release approved by my carrier, and have been getting this error since. Have tried reinstalling several times without luck. I'd really hate to lose the ability to run google maps. I've relied upon it for years. If someone can figure out what happens when you accept (a file created/deleted, or a config file change of some variety) they might be able to come up with a workaround. Certainly beyond my capabilities, but I'd imagine someone around here could do that sort of analysis.

    I'm hoping that this is just a temporary glitch that may have come from google tweaking things for the release of their iphone app. I'm completely guessing, but it could be as simple as the app is coded to reach out to a url that has been changed. It's a wild stab, but while I was troubleshooting I tried running it only while connected to wifi, and I got a different error message:

    This application requires a data connection, and some BlackBerry devices require reconfiguration to work properly. Please visit www.google.com/gmm on your computer for more info.

    Attempts to load the url result in a 404.

    So lets hope it's an oversight that will eventually be resolved instead of it being google pulling the plug on RIM.
    12-14-12 08:33 AM
  13. wing2299's Avatar
    12-14-12 06:21 PM
  14. Phill_UK's Avatar
    works perfectly

    12-14-12 08:12 PM
  15. jgb@etree's Avatar
    Problem solved!
    12-15-12 12:30 PM
  16. sacrdandprofne's Avatar
    Again -> Tested just now , with application restart and even setting all the device permission defaults to allow , DOES NOT WORK !!! stops at TC screen and exits with serious error , But thanks for providing the link
    Hmm, is it maybe a problem with having the other google apps installed too? I don't have any others.




    Sent from my BlackBerry 9790
    12-15-12 04:12 PM
  17. Phill_UK's Avatar
    Hmm, is it maybe a problem with having the other google apps installed too? I don't have any others.
    No, the problem is that Google has blocked the ability to accept their Terms and Conditions when the app is first run from a BlackBerry. You will have exactly the same problem if you try uninstalling and reinstalling it.
    The only fix is here... http://forums.crackberry.com/showthread.php?p=7780652
    sacrdandprofne likes this.
    12-15-12 04:23 PM
  18. NOLAKjun's Avatar
    Workaround details located at: Google Groups

    Open the second post with the link to download ver. 3, save to your computer, unzip on your computer, then move all the files to the storage card or drive in your phone and click on the .jad file to launch the install. Once you've completed the install of ver. 3 and verified that it's working properly exit the application, download and install the newest ver. 4.3.5 and it should launch correctly. NOTE: When I installed ver. 3 I was prompted to upgrade to the newest version, DON'T DO IT! You must complete the install of ver. 3 before upgrading or the same error will occur.
    12-16-12 02:57 AM
43 12

Similar Threads

  1. Problem with Google Maps and Gmail for Blackberry 8800
    By yes-pictures in forum BlackBerry 8800, 8820
    Replies: 9
    Last Post: 08-15-11, 09:34 AM
  2. Google Maps 3.2 for Blackberry!!
    By medicdanny in forum Storm 3rd Party Apps
    Replies: 91
    Last Post: 11-17-09, 11:28 AM
  3. new google maps 3.0 for blackberrys
    By Evermore707 in forum General BlackBerry Discussion
    Replies: 17
    Last Post: 02-04-09, 04:25 PM
  4. HappyWakeUp not available for BlackBerry (yet)
    By Jared-5 in forum General BlackBerry Discussion
    Replies: 2
    Last Post: 10-01-08, 12:53 AM
  5. BB Maps not available for at&t
    By fantom1023 in forum BlackBerry Curve 83xx
    Replies: 16
    Last Post: 04-12-08, 09:01 PM
LINK TO POST COPIED TO CLIPBOARD